Modifica: Annulla

From FreeCAD Documentation
This page is a translated version of the page Std Undo and the translation is 100% complete.

Annulla

Posizione nel menu
Modifica → Annulla
Ambiente
Tutti
Avvio veloce
Ctrl+Z
Introdotto nella versione
-
Vedere anche
Ripristina

Descrizione

Il comando Annulla annulla l'ultima azione.

Utilizzo

  1. Esistono diversi modi per invocare il comando:
    • Premere il pulsante Annulla.
    • Selezionare l'opzione Modifica → Annulla dal menu.
    • Usare la scorciatoia da tastiera: Ctrl+Z.

Opzioni

  • Per annullare più azioni, fare clic sulla piccola freccia nera a destra del pulsante Annulla e selezionare dall'elenco.

Preferenze

Vedere anche: Editor delle Preferenze.

  • La funzionalità Annulla/Ripristina può essere disabilitata deselezionando l'opzione Modifica → Preferenze... → Generale → Documento → Utilizzo di Annulla/Ripristina sui documenti. Ma questo non è raccomandato.
  • Il numero massimo di passaggi Annulla/Ripristina è controllato da Modifica → Preferenze... → Generale → Documento → Numero massimo di passaggi Annulla/Ripristina.

Script

Vedere anche: Autogenerated API documentation e Script di base per FreeCAD.

Per annullare l'ultima azione, utilizzare il metodo undo dell'oggetto documento. È disponibile anche la sua controparte, il metodo redo.

import FreeCAD

FreeCAD.ActiveDocument.undo()

Quando si esegue FreeCAD in modalità console pura (CLI), il meccanismo di annullamento/ripristino non è abilitato per impostazione predefinita. Deve essere esplicitamente attivato per ogni documento.

import FreeCAD

FreeCAD.ActiveDocument.UndoMode = 1